# configure the entire pipeline to not run in merge request pipelines
workflow:
  rules:
    - if: $CI_PIPELINE_SOURCE != 'merge_request_event'


stages:
  - build


variables:
  CI_DEBUG_TRACE: "true"
  GIT_DEPTH: 1


zip-pack:
  stage: build
  image: docker:24.0.9
  services:
    - docker:24.0.9-dind
  before_script:
    - apk add make
  script:
    - make -f Makefile.patched compile
    - mkdir -p artifact
    - tar -C buildpack -zcf artifact/heroku-buildpack-python-$CI_COMMIT_SHA.tgz .
    - find artifact
    - find buildpack
  artifacts:
    paths:
      - artifact/*
